/* Google Fonts Import Link */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");

/* CONFIGS */
.material-symbols-outlined {
    font-variation-settings: "FILL" 0, "wght" 300, "GRAD" 0, "opsz" 24;
}

/*----- HIDE PASSWORD DEFALT SHOW ----- */
::\-ms-reveal {
    display: none;
}

/*----- CONSTANTS -----*/
:root {
    scroll-behavior: smooth;
    --green-1: #14592D;
    --green-2: 	#198754;
    --red-1: #DC3545;
    --gray-1: #444444;
    --gray-2: #70747C;
    --gray-3: ##e9ecef;
    --white-1: #FFF;
    --white-2: rgba(255, 255, 255, 0.8);
    --orange-1: #FF8300;
    --blue-1: 	#0275D8;
    --blue-2: #00739D;
    --purple-1: #7630EA;
    --brown-1: #C5850E;
    --black-1:	#000000;
}

.text-gold {
    color: #FFD700;
}

/*----- Overriding Library Components -----*/
.select2-container .select2-selection--single {
    height: 38px !important;
    padding-top: 5.5px;
    border: 1px solid #ced4da !important;
    border-radius: 7px !important;
}

.select2-selection__arrow {
    height: 38px !important;
    top: 0px !important;
}

.circle-icon {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #f0f0f0;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #00591E;
}

.circle-icon:hover{
    cursor: pointer;
}

.circle-icon i {
    font-size: 25px; /* Adjust icon size as needed */
}

.text-success {
    color: #00591E !important;
}

.text-bold {
    font-weight: bold;
}

.flex-1 {
    flex: 1 !important;
}

.fs-14px {
    font-size: 14px !important;
}

.input-no-arrows::-webkit-inner-spin-button,
.input-no-arrows::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.input-no-arrows {
    -moz-appearance: textfield;
}

/* GENERAL */

/* CSS when button is clicked */
.inverted {
    filter: invert(100%) hue-rotate(180deg);
}

.inverted img {
    filter: invert(200%) hue-rotate(180deg);
}

body {
    font-family: "Open Sans", sans-serif;
    color: #444444;
    background: white;
}

:root {
    scroll-behavior: smooth;
}

.text-green {
    color: #14592d;
}

#amount-paid-info-span {
    color: rgb(163, 7, 7);
    text-align: center;
    padding-top: 5px;
    font-size: smaller;
}

.swal2-content {
    text-align: center;
}

.autofill {
    background: #e9ecef;
}

.border-green {
    border-color: #00591e !important;
}

a {
    color: #14592d;
    text-decoration: none !important;
}

a:hover {
    color: #14592d;
    text-decoration: none;
}

.wallet-containter {
    background: #e3e3e3;
    width: 280px;
    border-radius: 10px;
    padding: 10px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Nunito", sans-serif;
}

.custom-popover {
    --bs-popover-border-color: var(--green-1) !important;
    --bs-popover-body-padding-x: 1rem !important;
    --bs-popover-body-padding-y: .5rem !important;
}

/* GENERAL */

th,
td {
    vertical-align: middle;
}

footer {
    margin-bottom: 100px;
    text-align: center;
    font-size: medium;
    font-weight: bold;
}

/* PASSWORD */
#showEye {
    position: absolute;
    right: 15px;
    transform: translate(0, -50%);
    top: 50%;
    margin-top: 2px;
    cursor: pointer;
}

#eye,
#eye1 {
    font-size: 25px;
    color: #7a797e;
}

/* PASSWORD */

/* HEADER */
.header {
    transition: all 0.5s;
    z-index: 997;
    padding: 20px 0;
}

.header.header-scrolled {
    background: #fff;
    padding: 15px 0;
    box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
}

.header .logo {
    line-height: 0;
}

.header .logo img {
    width: 300px;
    height: 55px;
    margin-right: 6px;
}

.header .logo span {
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 1px;
    color: #14592d;
    font-family: "Nunito", sans-serif;
    margin-top: 3px;
    text-decoration: none !important;
}

.header .rank-btn {
    font-size: 13px;
    margin-top: -8px;
    opacity: 0.8;
    transition: opacity 0.05s ease-out;
}
.header .rank-btn:hover {
    opacity: 1;
}

/* HEADER */

/* DASHBOARD */
.items {
    text-align: center;
    padding: 10px;
    max-width: 200px;
    max-height: 200px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}

.report-text {
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100px;
    color: #14592d;
}

.main-item {
    background-color: #dedede;
    border-radius: 10px;
    padding: 10px;
    transition: 0.1s;
    padding: 10px;
    max-width: 200px;
    min-height: 180px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}

.main-item.green {
    border-bottom: 3px solid #14592d;
}

.main-item.gold {
    border-bottom: 3px solid #ffd700;
}

.main-item:hover,
.sub-item:hover {
    background-color: rgb(184, 179, 179);
    background: #14592d;
    color: white;
    text-decoration: bold;
}

.sub-item:hover {
    background-color: rgb(16, 175, 80);
    color: black;
    text-decoration: bold;
    transition: 0.3s;
}

.item-hovered {
    background-color: rgb(184, 179, 179);
    background: #14592d;
    color: white;
    text-decoration: bold;
}

.sub-item {
    background: #14592d;
    color: white;
    border-radius: 10px;
    height: 0;
    overflow: hidden;
    margin-bottom: 3px;
    min-height: 55px;
    padding-top: 10px;
    visibility: hidden;
    transition: height 1s ease;
}

.sub-item img {
    max-width: 40px;
    float: left;
    margin: 0 5px 0 10px;
}

.sub-item.close {
    height: 0;
    visibility: hidden;
    transition: height 0.3s ease;
}

.sub-item.open {
    height: 40px;
    visibility: visible;
}

.hide-item {
    display: none;
}

.show-item {
    display: block;
}

.items .icon_img {
    max-height: 100px;
    min-height: 100px;
    display: block;
    margin: auto;
}

/* DASHBOARD */

/* TABLE */
table {
    overflow-x: auto;
    max-width: 100%;
}

table thead th {
    font-size: 15px;
}

table tbody td {
    font-size: 12px;
}

#agency-list-table tbody tr {
    cursor: text;
}

/* TABLE */

.badge-success,
.badge-active,
.badge-fully-paid,
.badge-claimed,
.badge-published,
.badge-shipped,
.badge-delivered,
.badge-serviced {
    background-color: white;
    color: #14592d;
    border: 2px solid #14592d;
}

.badge-secondary,
.badge-renewed,
.badge-ineligible,
.badge-used,
.badge-archived,
.badge-closed,
.badge-no-commission,
.badge-deactivated {
    background-color: white;
    color: #70747c;
    border: 2px solid #70747c;
}

.badge-primary,
.badge-new,
.badge-receipted,
.badge-doa,
.badge-refunded,
.badge-approved,
.badge-released {
    background-color: white;
    color: #0275d8;
    border: 2px solid #0275d8;
}

.badge-pending,
.badge-processing-application,
.badge-unpublished,
.badge-not-yet-released,
.badge-unrendered-service,
.badge-for-payment,
.badge-claim-request {
    background-color: white;
    color: #ff8300;
    border: 2px solid #ff8300;
}

.badge-deposited {
    background-color: white;
    color: #00739d;
    border: 2px solid #00739d;
}

.badge-verified,
.badge-verified-payment {
    background-color: white;
    color: #7630ea;
    border: 2px solid #7630ea;
}

.badge-finalized, .badge-processing-payment {
    background-color: white;
    color: #14592d;
    border: 2px solid #14592d;
}

.overlay {
    position: fixed;
    z-index: 9999;
    /* Set a high z-index value to ensure it's on top */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    /* Semi-transparent background */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow-y: hidden;
}

.overlay-x {
    margin-top: 22.5%;
}

.overlay p {
    margin-top: 10px;
    text-align: center;
}

.badge-warning,
.badge-inactive,
.badge-amendment {
    background-color: white;
    color: rgb(197, 133, 14);
    border: 2px solid rgb(197, 133, 14);
}

.badge-danger,
.badge-rejected,
.badge-rejected-payment,
.badge-cancelled,
.badge-denied-claim,
.badge-terminated,
.badge-expired {
    background-color: white;
    color: #dc3545;
    border: 2px solid #dc3545;
}

strong,
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: "Times New Roman", Times, serif;
}

#back-icon {
    float: right;
}

#name-header {
    padding-left: 5%;
    padding-top: 0.8%;
    color: #14592d;
    margin: 0px;
}

#logo-img-header {
    width: 100%;
    height: auto;
    margin-top: -7px;
}

#logo-img-header-epi {
    height: auto;
    margin-top: -7px;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

#export-div {
    margin-right: auto;
    margin-bottom: -45px;
    z-index: 10;
}

#export-as option {
    background-color: white;
    color: black;
}

#header-menu-box {
    display: none;
}

#select-all {
    margin-left: 9px;
    transform: scale(1.5);
}

.swal2-cancel,
.swal2-confirm {
    margin-left: 5px;
}

input[type="text"] {
    cursor: text;
}

input[type="date"],
select,
select option {
    cursor: pointer;
}

.dataTables_scroll {
    overflow: auto;
}

#pswd_infoo {
    font-size: small;
}

.invalid {
    background: url(../img/cross.png) no-repeat 0 50%;
    padding-left: 22px;
    line-height: 24px;
    color: #ec3f41;
}

.valid {
    background: url(../img/tick.png) no-repeat 0 50%;
    padding-left: 22px;
    line-height: 24px;
    color: #3a7d34;
}

.column {
    margin: 0px 35px 0 10px;
}

.ml-auto {
    margin-left: auto;
}

.mr-auto {
    margin-right: auto;
}

#dropdown-filter {
    position: absolute;
    z-index: 10;
    width: auto;
}

.notification {
    position: fixed;
    bottom: 105px;
    right: 15px;
    z-index: 997;
}

.progress-container {
    position: fixed;
    z-index: 998;
    bottom: 60px;
    right: 15px;
}

.leaderboard {
    position: fixed;
    z-index: 997;
    bottom: 150px;
    right: 15px;
}

.system-theme {
    position: fixed;
    z-index: 997;
    bottom: 15px;
    right: 15px;
}

.notification button,
.progress-btn {
    display: grid;
    place-items: center;
    border: none;
    background-color: #3a7d34;
    color: white;
    border-radius: 50%;
    height: 40px;
    width: 40px;
    border: 0.5px solid #00000055;
    font-size: 14px;
    box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
    -webkit-box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
    -moz-box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
    transition: opacity 0.2s ease-out;
    -moz-transition: opacity 0.2s ease-out;
    -webkit-transition: opacity 0.2s ease-out;
    -o-transition: opacity 0.2s ease-out;
}

.notification button:hover,
.progress-btn:hover {
    opacity: 0.8;
}

.notification button > i,
.progress-btn > i,
.progress-btn > span {
    padding: 0;
    margin: 0;
    margin-top: 2px;
}

.progress-btn > span {
    display: block;
    text-align: center;
    font-size: 23px;
    margin-top: -3px;
}

.notification p {
    background-color: #ffcc02;
    display: flex;
    font-weight: bold;
    justify-content: center;
    align-items: center;
    min-height: 24px;
    min-width: 24px;
    font-size: 0.8rem;
    border: 0.5px solid #00000055;
    position: absolute;
    top: -3px;
    left: 24px;
    border-radius: 50%;
    pointer-events: none;
    box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
    -webkit-box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
    -moz-box-shadow: 3px 1px 25px -8px rgba(0, 0, 0, 1);
}

#notification-table th {
    width: auto !important;
}

.progress-container .progress-body {
    position: absolute;
    bottom: 45px;
    right: 0;
    width: auto;
    min-width: 400px;
    background-color: rgb(223, 223, 223);
    border-radius: 5px;
    padding: 15px 20px;
    z-index: 2;
    box-shadow: 0px 0px 15px 3px rgba(97, 97, 97, 1);
    -webkit-box-shadow: 0px 0px 15px 3px rgba(97, 97, 97, 1);
    -moz-box-shadow: 0px 0px 15px 3px rgba(97, 97, 97, 1);
}

.progress-container .progress-body .days-remaining {
    font-size: 0.8rem;
}

@media (max-width: 500px) {
    .progress-container .progress-body {
        min-width: unset;
        width: calc(100vw - 30px);
    }
}

.progress-body .progress {
    height: 25px;
}

.leaderboard-list-container {
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    align-items: center;
}
.leaderboard-list {
    word-wrap: break-word;
    border: gray solid 1px;
    border-radius: 10px;
    list-style: none;
    box-shadow: 1px 2px 6px 0px #000000aa;
    -webkit-box-shadow: 1px 2px 6px 0px #000000aa;
    -moz-box-shadow: 1px 2px 6px 0px #000000aa;
    cursor: pointer;
    transition: all 0.05ms ease-in-out;
    background-color: white;
}
.leaderboard-list:hover {
    background-color: #f0f0f0;
}

.leaderboard-list .leaderboard-content {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.leaderboard-list .leaderboard-content .icon-container {
    border: 4px solid #ffc107;
    background-color: #ffc10744;
    position: relative;
    height: 60px;
    width: 60px;
    min-width: 60px;
    border-radius: 50%;
}
.leaderboard-list .leaderboard-content .icon-container .icon {
    position: absolute;
    top: 55%;
    left: 50%;
    font-size: 30px;
    transform: translate(-50%, -50%);
    color: #373d22;
}
.leaderboard-list .leaderboard-content .rank-container {
    border: 4px solid #ffc107;
    background-color: #ffc10744;
    position: relative;
    border-radius: 50%;
    font-weight: bold;
    color: rgb(224, 224, 224);
    -webkit-text-stroke: 1.2px black;
    font-size: 1.2rem;
    height: 40px;
    width: 45px;
    min-width: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 2px;
}
.leaderboard-list-container #other-ranks {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    border-top: 2px solid #0000005f;
    padding-top: 1rem;
    margin-top: 6px;
}

.current-ranking-container {
    position: relative;
}
.current-ranking-container .message-container {
    border: 0.3px solid green;
    box-shadow: 0px 0px 15px 3px rgba(0,150,0,0.75);
    -webkit-box-shadow: 0px 0px 15px 3px rgba(0,150,0,0.75);
    -moz-box-shadow: 0px 0px 15px 3px rgba(0,150,0,0.75);
    border-radius: 4px;
    padding: 8px;
}
.current-ranking-container p {
    text-align: center;
}
.current-ranking-container .additonal-msg {
    font-size: 12px;
    opacity: 0.8;
}
.current-ranking-container .info-container {
    position: absolute;
    height: 23px;
    width: 23px;
    border-radius: 50%;
    display: grid;
    place-items: center;
    border: 3px #0dcaf0 solid;
    right: 5px;
    bottom: -5px;
    font-size: 11px;
    cursor: pointer;
    opacity: 0.8;
    transition: all 0.2s ease-out;
    background-color: transparent;
}
.current-ranking-container .info-container:hover {
    opacity: 1;
    background-color: rgba(128, 128, 128, 0.367);
}

#image-proof-of-deposit {
    display: block;
    margin: auto;
    max-height: 700px;
}

#image-proof-of-deposit {
    display: block;
    margin: auto;
    max-height: 700px;
}

.verification-modal-text-container {
    font-size: 18px;
    border-top: 1px solid #595959;
    padding-top: 5px;
}

.verification-modal-text-container b {
    margin-left: 2rem;
    color: #595959;
}

.verification-modal-text-container ul {
    list-style-type: none;
    font-size: 14px;
    margin-top: 10px;
    text-align: left;
}

.verification-modal-text-container ul li {
    line-height: 2.5ch;
    letter-spacing: 0.05ch;
}

.verification-modal-text-container ul li span {
    font-weight: bold;
    color: #595959;
}

/* Define widths for other columns as needed */

.image-preview {
    max-width: 400px;
    max-height: 250px;
    display: block;
    margin: auto;
}

.image-preview-deposit {
    max-width: 600px;
    max-height: 450px;
    display: block;
    margin: auto;
}

.news-button,
.careers-button,
.applications-button {
    width: auto;
    font-size: small;
    font-family: "poppins", sans-serif;
}

.checkbox-riders {
    transform: scale(1.4);
}

@media (max-width: 575px) {
    #logo-img-header,
    #logo-img-header-epi {
        display: none;
    }
}

@media (max-width: 640px) {
    #export-div {
        margin: auto;
        margin-bottom: 0px;
    }
}

@media (max-width: 470px) {
    #header-menu-box {
        display: block;
        margin-left: 90%;
        z-index: 10;
        margin-top: -7%;
        position: absolute;
    }

    #menuu {
        display: none;
    }

    .overlay-x {
        margin-top: 50%;
    }
}

@media (max-width: 992px) {
    .row {
        display: flex;
        flex-wrap: wrap;
    }

    .col-lg-3 {
        flex: 0 0 100%;
        max-width: 100%;
        margin-top: 120px;
    }

    .sub-item {
        margin: auto auto 5px auto;
        max-width: 200px;
    }
}

@media (max-width: 992px) {
    #dropdown-filter {
        position: relative;
    }

    .overlay-x {
        margin-top: 50%;
    }
}
